Summary:	Plasma 5 Breeze theme
Name:		breeze
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kdecoration2-devel >= %{version}
# For kde4-style-breeze
BuildRequires:	kdelibs4-devel
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5frameworkintegration-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(xcb)
Requires:	breeze-cursor-theme
Requires:	breeze-cursor-theme-snow
Requires:	breeze-gtk
Requires:	breeze-icon-theme
Requires:	breeze-qml
Requires:	plasma5-color-scheme-breeze
Requires:	plasma5-color-scheme-breeze-high-contrast
Requires:	plasma5-decoration-breeze
Requires:	plasma5-look-and-feel-breeze-dark
Requires:	plasma5-style-breeze
Requires:	plasma5-wallpaper-next
Requires:	qt5-style-breeze
Requires:	kde4-style-breeze

%description
Plasma 5 Breeze theme.

%files
%{_kde5_datadir}/QtCurve/Breeze.qtcurve
%{_kde5_datadir}/kconf_update/kde4breeze.upd
%{_libexecdir}/kconf_update_bin/kde4breeze

#----------------------------------------------------------------------------

%define qmlbreeze %mklibname breeze-qml

%package -n %{qmlbreeze}
Summary:	QML plugin for Plasma 5 Breeze style
Group:		System/Libraries
Provides:	breeze-qml = %{EVRD}

%description -n %{qmlbreeze}
QML plugin for Plasma 5 Breeze style.

%files -n %{qmlbreeze}
%dir %{_kde5_qmldir}/QtQuick/Controls/Styles/Breeze/
%{_kde5_qmldir}/QtQuick/Controls/Styles/Breeze/*

#----------------------------------------------------------------------------

%package -n breeze-cursor-theme
Summary:	Plasma 5 Breeze cursor theme
Group:		Graphical desktop/KDE

%description -n breeze-cursor-theme
Plasma 5 Breeze cursor theme.

%files -n breeze-cursor-theme
%dir %{_kde5_iconsdir}/breeze_cursors
%{_kde5_iconsdir}/breeze_cursors/*

#----------------------------------------------------------------------------

%package -n breeze-cursor-theme-snow
Summary:	Plasma 5 Breeze Snow cursor theme
Group:		Graphical desktop/KDE

%description -n breeze-cursor-theme-snow
Plasma 5 Breeze Snow cursor theme.

%files -n breeze-cursor-theme-snow
%dir %{_kde5_iconsdir}/Breeze_Snow
%{_kde5_iconsdir}/Breeze_Snow/*

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-breeze
Summary:	Plasma 5 Breeze color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-breeze
Plasma 5 Breeze color scheme.

%files -n plasma5-color-scheme-breeze
%{_kde5_datadir}/color-schemes/Breeze.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-breeze-dark
Summary:	Plasma 5 Breeze Dark color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-breeze-dark
Plasma 5 Breeze Dark color scheme.

%files -n plasma5-color-scheme-breeze-dark
%{_kde5_datadir}/color-schemes/BreezeDark.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-breeze-high-contrast
Summary:	Plasma 5 Breeze High Contrast color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-breeze-high-contrast
Plasma 5 Breeze High Contrast color scheme.

%files -n plasma5-color-scheme-breeze-high-contrast
%{_kde5_datadir}/color-schemes/BreezeHighContrast.colors

#----------------------------------------------------------------------------

%package -n plasma5-decoration-breeze
Summary:	Plasma 5 Breeze window decoration
Group:		Graphical desktop/KDE
Requires:	plasma5-settings-breeze

%description -n plasma5-decoration-breeze
Plasma 5 Breeze window decoration.

%files -n plasma5-decoration-breeze -f breeze_kwin_deco.lang
%{_kde5_services}/breezedecorationconfig.desktop
%{_qt5_plugindir}/org.kde.kdecoration2/breezedecoration.so

#----------------------------------------------------------------------------

%package -n plasma5-look-and-feel-breeze-dark
Summary:	Breeze Dark look and feel for Plasma 5
Group:		Graphical desktop/KDE
Requires:	breeze-cursor-theme
Requires:	breeze-icon-theme-dark
Requires:	plasma5-color-scheme-breeze-dark
Requires:	plasma5-style-breeze

%description -n plasma5-look-and-feel-breeze-dark
Breeze Dark look and feel for Plasma 5.

%files -n plasma5-look-and-feel-breeze-dark
%dir %{_kde5_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/
%{_kde5_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/*
%{_appdatadir}/org.kde.breezedark.desktop.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-settings-breeze
Summary:	Breeze theme configuration module for Plasma 5
Group:		Graphical desktop/KDE

%description -n plasma5-settings-breeze
Breeze theme configuration module for Plasma 5.

%files -n plasma5-settings-breeze
%{_kde5_bindir}/breeze-settings5
%{_kde5_iconsdir}/hicolor/*/apps/breeze-settings.*

#----------------------------------------------------------------------------

%package -n plasma5-style-breeze
Summary:	Breeze style for Plasma 5
Group:		Graphical desktop/KDE
Requires:	plasma5-settings-breeze
Requires:	qt5-style-breeze

%description -n plasma5-style-breeze
Breeze style for Plasma 5.

%files -n plasma5-style-breeze -f breeze_style_config.lang
%{_kde5_datadir}/kstyle/themes/breeze.themerc
%{_kde5_services}/breezestyleconfig.desktop
%{_qt5_plugindir}/kstyle_breeze_config.so

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-next
Summary:	Plasma 5 Next wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-next
Plasma 5 Next wallpaper.

%files -n plasma5-wallpaper-next
%dir %{_kde5_datadir}/wallpapers/Next/
%{_kde5_datadir}/wallpapers/Next/*

#----------------------------------------------------------------------------

%package -n qt5-style-breeze
Summary:	Breeze style for Qt5
Group:		Graphical desktop/KDE
Requires:	breeze-qml

%description -n qt5-style-breeze
Breeze style for Qt5.

%files -n qt5-style-breeze
%{_qt5_plugindir}/styles/breeze.so

#----------------------------------------------------------------------------

%package -n kde4-style-breeze
Summary:	Breeze style for KDE4
Group:		Graphical desktop/KDE

%description -n kde4-style-breeze
Breeze style for KDE4.

%files -n kde4-style-breeze
%{_kde_libdir}/kde4/kstyle_breeze_config.so
%{_kde_libdir}/kde4/plugins/styles/breeze.so
%{_kde_appsdir}/kstyle/themes/breeze.themerc
%{_qt_plugindir}/styles/breeze.so

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for Plasma 5 Breeze style
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{version}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%{_kde5_libdir}/cmake/Breeze

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4 -DUSE_KDE4=true
%make
cd ..
mv build build-kde4

%cmake_kde5 -DUSE_KDE4=false
%make

%install
%makeinstall_std -C build

rm -rf build
mv build-kde4 build
%makeinstall_std -C build

mkdir -p %{buildroot}%{_qt_plugindir}/styles/
pushd %{buildroot}%{_qt_plugindir}/styles/
ln -s %{_kde_libdir}/kde4/plugins/styles/breeze.so breeze.so
popd

%find_lang breeze_style_config
%find_lang breeze_kwin_deco

%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (175169b) New version 5.10.5

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (98a5689) Update files
- (Andrey Bondrov: 68381b6) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (2dc0b67) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (7e76f78) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (96304dd) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (290d69b) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (f4c622a) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (f6d613f) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (727323f) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (fcc7c9e) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (d206bdc) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (cc89d0a) Add development subpackage with cmake modules
- (valerol: 2d99a9a) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (3f3d42c) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (e8131fe) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: d564750) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (143f71f) MassBuild#1027: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (fa9b42e) Update files
- (Andrey Bondrov: 8650efa) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (1c1dc0d) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (8c1f0cc) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (143d8df) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (8d6fa6e) New version 5.5.3

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-2
- (e431f37) Require breeze-icon-theme again
- (e431f37) Require breeze-gtk

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (24b28c5) Add plasma5-look-and-feel-breeze-dark
- (24b28c5) Drop gtkbreeze parts
- (Andrey Bondrov: f8525b4) Drop icons subpackages (moved to KF5 package)
- (Andrey Bondrov: 7e8202f) Build requires kf5plasma-devel
- (Andrey Bondrov: 0a4bc7a) New version 5.5.2

* Fri Nov 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (454b8a0) Drop cmake patch (fixed upstream)


